import { useAuth } from "@provider/auth.provider";
import { useEffect } from "react";
import { useNavigate, useOutlet } from "react-router-dom";
import LoginView from "../view/login.view";


export const LoginLayout = () => {
    const outlet = useOutlet();
    const navigate = useNavigate();
    const { isAuthenticated } = useAuth();

    // if user is already logged in then redirect to home page
    useEffect(() => {
        if (isAuthenticated()) {
            navigate('/');
            return;
        }
    }, []);

    return (
        <LoginView>{outlet}</LoginView>
    )
}

export default LoginLayout