import deviceReducer from '@component/devices/reducer/device.reducer'
import pluginReducer from '@component/devices/reducer/plugin.reducer'
import jsonViewerReducer from '@shared/components/json_viewer/reducer/json_viewer.reducer'
import routineReducer from '@shared/reducer/routine.reducer'
import userReducer from '@shared/reducer/user.reducer'
import { combineReducers } from 'redux'
import { persistReducer } from 'redux-persist'
import storage from 'redux-persist/es/storage'
import { emptySplitApi } from './api.store'



/** local storage config */
const rootPersistConfig = {
    key: 'root',
    storage,
    blacklist: [emptySplitApi.reducerPath],
}

const rootReducer = combineReducers({
    user: userReducer,
    device: deviceReducer,
    routine: routineReducer,
    json_viwer: jsonViewerReducer,
    plugin: pluginReducer,
    [emptySplitApi.reducerPath]: emptySplitApi.reducer,
})

const persistedReducer = persistReducer(rootPersistConfig, rootReducer)

export default persistedReducer
